Spot Master Data API

Spot - Master Data

API Description

This API allows Spot customers to retrieve Ship-to Parties (delivery locations) available for Spot orders.

| Operation | Description | Specification |

| GET /spot/master-data/ship-to-parties | Retrieve Spot Ship-to Parties | GET |

Environments

Static mock:

URL https://customerapi-dev.azure-api.net/public/spot/master-data/ship-to-parties

Sandbox:

URL https://customerapi-dev.azure-api.net/sb/spot/master-data/ship-to-parties

Production:

URL https://customerapi-dev.azure-api.net/spot/master-data/ship-to-parties

Test this operation

curl -X GET "https://customerapi-dev.azure-api.net/sb/spot/master-data/ship-to-parties?pageSize=10" \

-H "Authorization: Bearer {access_token}"

Response:

{

"page": {"pageSize": 10, "pageNumber": 1, "pageLimit": 1, "code": 200},

"results": [

{

"id": "SP-STP-001",

"description": "Houston Distribution Center",

"address": "1234 Industrial Blvd, Houston, TX 77001",

"country": "US"

},

{

"id": "SP-STP-002",

"description": "Midland Yard",

"address": "5678 Oil Patch Rd, Midland, TX 79701",

"country": "US"

}

]

}

Errors

| ERROR | DESCRIPTION |

| 401 | ERROR IN TOKEN VALIDATION. |

| 403 | USER NOT AUTHORIZED. |

| 404 | PAGING PARAMETERS ERROR. |

| 500 | GENERAL ERROR. |